%global		commit ba5300518281473aa66dea0f0faade1673eb2df1
%global		oname torbrowser_launcher
Name:		torbrowser-launcher
Version:	0.1.6
Release:	3%{?dist}
Summary:	Tor Browser Bundle managing tool
License:	MIT
URL:		https://github.com/micahflee/torbrowser-launcher
Source0:	https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python2-devel
Requires:	python-psutil
Requires:	python-twisted
Requires:	wmctrl
Requires:	python2

%description
Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB)
easier to maintain and use for GNU/Linux users. You install
torbrowser-launcher from your distribution's package manager
and it handles everything else, including:

* Downloading the most recent version of TBB for you,
  in your language and for your architecture
* Automatically updating
* Verifying the TBB's GnuPG signature
* Adding a "Tor Browser" application launcher to your desktop environment's menu

%prep
%setup -q -n %{name}-%{commit}

# We need to specify the distro we are building on, Fedora!
sed -i 's#distro = .*#distro = "Fedora"#g' setup.py
sed -i 's/Ubuntu/Fedora/g' setup.py

%build
%{__python2} setup.py build

%install
find . -name apparmor -type d -print0|xargs -0 rm -r --
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/torbrowser.desktop

%files
%{_bindir}/%{name}
%doc LICENSE README.md
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/%{oname}/*

%changelog
* Thu Nov 06 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-3
- Fix broken dependencies bug

* Sat Oct 18 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-2
- Remove shortcommit from spec file

* Thu Oct 16 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-1
- Fixed bug related to TBB 4.0's new folder structure
- Updated .desktop files to comply with standards
- Updated licensing confusion to just be MIT in all locations

* Sun Oct 12 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-3
- Remove apparmor and bump release

* Sat Oct 11 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-2
- License fix and Source URL commit

* Fri Oct 10 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-1
- Initial package for Fedora
